Bug 151773 - RFE: update-on-install functionality
RFE: update-on-install functionality
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-03-22 03:25 EST by Thomas M Steenholdt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-28 13:51:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas M Steenholdt 2005-03-22 03:25:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050225 Firefox/1.0.1

Description of problem:
I thought the possibility of doing a fresh install with updated packages would be a really good idea. Perhaps this could be implemented using a method, where all up-to-date packages a grabbed from selected installation media and newer packages are grabbed from an update repository (either one of the default mirrors or a specified repository). Dependencies should resolve just fine in scenarios like this.

Alternatively, an "update after installation" option could be an easier implementation of a similar functionality!

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. during install, notice that there is no way to install a completely updated system

Actual Results:  not possible

Expected Results:  should be possible

Additional info:
Comment 1 Jeremy Katz 2005-03-28 13:51:13 EST
Currently, you get updates in firstboot after you've rebooted from the
installer.  In the future, we're planning to switching to use yum as the backend
for all package operations in the installer at which point this will become more
Comment 2 Thomas M Steenholdt 2005-03-28 15:34:14 EST
If yum is becoming package handling backend, then i agree it make sense to push
something like this to a later date. Thanks!

Note You need to log in before you can comment on or make changes to this bug.